


---

 25-akpm/fs/nfs/write.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/nfs/write.c~nfs_write-apge-retval-fix fs/nfs/write.c
--- 25/fs/nfs/write.c~nfs_write-apge-retval-fix	2004-04-25 12:58:06.623476792 -0700
+++ 25-akpm/fs/nfs/write.c	2004-04-25 12:58:14.094341048 -0700
@@ -317,7 +317,7 @@ do_it:
 		}
 	} else {
 		err = nfs_writepage_sync(NULL, inode, page, 0, offset, priority); 
-		if (err == offset)
+		if (err > 0)
 			err = 0;
 	}
 	unlock_kernel();
@@ -357,10 +357,8 @@ int nfs_writepages(struct address_space 
 			goto out;
 	}
 	err = nfs_commit_inode(inode, 0, 0, wb_priority(wbc));
-	if (err > 0) {
+	if (err > 0)
 		wbc->nr_to_write -= err;
-		err = 0;
-	}
 out:
 	clear_bit(BDI_write_congested, &bdi->state);
 	wake_up_all(&nfs_write_congestion);

_
